Differences between revisions 1 and 19 (spanning 18 versions)
Revision 1 as of 2012-09-16 21:14:00
Size: 5730
Comment: Initial french version
Revision 19 as of 2017-09-14 19:48:06
Size: 11099
Editor: vauss
Comment: sync with English version
Deletions are marked like this. Additions are marked like this.
Line 2: Line 2:
~-[[DebianWiki/EditorGuide#translation|Translation(s)]]: [[FlashPlayer|English]] - Français - [[it/FlashPlayer|Italiano]] - [[ru/FlashPlayer|Русский]] - [[zh_CN/FlashPlayer|简体中文]]-~ ~-[[fr/DebianWiki/EditorGuide#translation|Translation(s)]]: [[FlashPlayer|English]] - [[es/FlashPlayer|Español]] - Français - [[it/FlashPlayer|Italiano]] - [[ru/FlashPlayer|Русский]] - [[zh_CN/FlashPlayer|简体中文]]-~
Line 6: Line 6:
||<tablestyle="width:100%; text-align: left" style="border:0">{{http://wwwimages.adobe.com/www.adobe.com/shockwave/download/images/flashplayer_100x100.jpg}}||<style="border:0">'''Adobe Flash Player''' est une plate-forme multimédia utilisée pour ajouter des animations, des vidéos ou de l'interactivité à des pages Web. Flash est fréquemment utilisé pour des publicités ou des jeux.<<BR>>Cette page wiki décrit comment installer Adobe Flash Player, anciennement connu sous le nom de Macromedia Flash Player sur un système Debian. Cette page sert de page d'accueil du paquet Debian DebPkg:flashplugin-nonfree.|| ||<tablestyle="width:100%; text-align: left" style="border:0">{{https://upload.wikimedia.org/wikipedia/commons/3/32/Adobe_Flash_Player_v11_icon.png}}||<style="border:0;vertical-align: top;">'''Adobe Flash Player''' est une plate-forme multimédia utilisée pour ajouter des animations, des vidéos ou de l'interactivité à des pages Web. Flash est fréquemment utilisé pour des publicités ou des jeux.<<BR>>Cette page wiki décrit comment installer Adobe Flash Player, anciennement connu sous le nom de Macromedia Flash Player, sur un système Debian. Cette page sert de page d'accueil du paquet Debian DebianPkg:flashplugin-nonfree.||
Line 12: Line 12:
Les dernières versions du paquet DebPkg:flashplugin-nonfree de Debian contiennent cet avertissement dans la description du paquet : Les dernières versions du paquet DebPkg:flashplugin-nonfree de Debian contiennent cet avertissement dans la description du paquet :
Line 23: Line 23:
Installez flashplugin-nonfree (depuis la section contrib). ''Note : flashplugin-nonfree n'est pas dans la distribution stable. Référez-vous à la section [[fr/FlashPlayer#Mise_.2BAOA_jour_manuelle|Mise à jour manuelle]]''.

 1. Vérifiez que le fichier /etc/apt/sources.list comprend la section contrib (pour plus d'information consultez la page [[fr/SourcesList|sources.list]])
 1. Installez flashplugin-nonfree (depuis la section contrib).
{{{
# apt-get install flashplugin-nonfree
}}}
Line 26: Line 32:
Pour mettre à jour Adobe Flash Player:
Pour mettre à jour Adobe Flash Player :
Line 31: Line 38:
Si cela échoue avec le message « ERROR: wget failed to download ... », consultez la section « Mise à jour manuelle » plus bas.

== Désinstallation ==

Pour désinstaller Adobe Flash Player et le paquet flashplugin-nonfree :
{{{
# update-flashplugin-nonfree --uninstall
# apt-get remove flashplugin-nonfree
}}}
Line 33: Line 50:
 * [[DebianPkg:arora|Arora]]
 * [[Galeon]] ''En Anglais''
Line 34: Line 53:
 * [[http://www.gnome.org/projects/epiphany/|Epiphany Gecko]]
 * [[Galeon]]
 * [[Opera]] >= 9.50 beta 1
 * [[Arora]]
 * [[fr/Konqueror|Konqueror]]
 * [[fr/Konqueror|Konqueror]]
 * [[Opera]] >= 9.50 beta 1 ''En anglais''
 * ... et d'autres encore

== Navigateurs web non pris en charge ==
Line 40: Line 59:
 * ... et d'autres encore
Line 44: Line 63:
Si vous découvrez un problème avec flashplugin-nonfree,
on
vous prie de le
le rapporter dans le système de suivi de bogues de Debian.
Si vous découvrez un problème avec flashplugin-nonfree, veuillez le rapporter dans le système de suivi de bogues de Debian.
Line 48: Line 65:
Néanmoins, nous ne pouvons pas modifier Adobe Flash Player
pour résoudre les problèmes dans Debian.
Donc si vous découvrez un problème avec Adobe Flash Player,
rapportez le à Adobe.
Néanmoins, nous ne pouvons pas modifier Adobe Flash Player pour résoudre les problèmes dans Debian.
Donc, si vous découvrez un problème avec Adobe Flash Player, rapportez-le à Adobe.
Line 53: Line 68:
Si vous avez trouvé un moyen de contourner un problème,
vous pouvez l'ajouter
dans la partie "
dépannage" ci-dessous.
(S'il vous plaît ne mettez pas d'instructions pour
installer autrement Adobe Flash Player.)
Si vous avez trouvé un moyen de contourner un problème, vous pouvez l'ajouter dans la partie « dépannage » ci-dessous.
(S'il vous plait, ne mettez pas d'instructions pour installer autrement Adobe Flash Player.)
Line 61: Line 73:
 * Proxy : Le paquet flashplugin-nonfree possède "sa propre solution" mettre en mémoire cache le gros fichier .tar.gz téléchargé de chez Adobe. En téléchargeant fp10.*.pgp.asc, on n'a pas le cache de flashplugin-nonfree. Le conseil de l'auteur de ce paragraphe est de ne pas utiliser un proxy avec un cache avec flashplugin-nonfree, parce la récupération de fp10.*.pgp.asc à partir du cache pourrait aboutir à l'installation d'une mise à jour de sécurité plus tard qu'il ne le faudrait. Si on doit utiliser un proxy parce que l'on n'a pas d'accès directe à internet, Alors bien sûr, on n'a pas d'autre choix que d'utiliser le proxy. Dans ce cas, ceci devrait fonctionner : {{{  * Proxy : Le paquet flashplugin-nonfree possède "sa propre solution" pour mettre en mémoire cache le gros fichier .tar.gz téléchargé de chez Adobe. En téléchargeant fp10.*.pgp.asc, on n'a pas le cache de flashplugin-nonfree. Le conseil de l'auteur de ce paragraphe est de ne pas utiliser un proxy avec un cache avec flashplugin-nonfree, parce la récupération de fp10.*.pgp.asc à partir du cache pourrait aboutir à l'installation d'une mise à jour de sécurité plus tard qu'il ne le faudrait. Si on doit utiliser un proxy parce que l'on n'a pas d'accès direct à internet, alors bien sûr, on n'a pas d'autre choix que d'utiliser le proxy. Dans ce cas, ceci devrait fonctionner : {{{
Line 65: Line 77:
}}} sinon, avec une variable d'environnement différente de http_proxy, regardez : http://www.gnu.org/software/wget/manual/html_node/Proxies.html }}} Ceci devrait aussi fonctionner : {{{
http_proxy=http://my.proxy.intranet:8080/ update-flashplugin-nonfree --install
}}}ou{{{
https_proxy=http://my.proxy.intranet:8080/ update-flashplugin-nonfree --install
}}}
Line 67: Line 83:
 * Rappelez-vous que si on a besoin que Flash Player fonctionne avec pulse, on peut demander à libasound de le faire dans le fichier {{{~/.asoundrc}}}: {{{
 sinon, avec une variable d'environnement différente de http_proxy, regardez : http://www.gnu.org/software/wget/manual/html_node/Proxies.html

* Rappelez-vous que si on a besoin que Flash Player fonctionne avec pulse, on peut demander à libasound de le faire dans le fichier {{{~/.asoundrc}}} : {{{
Line 84: Line 103:
 * Pour vérifier le numéro de la version de Adobe Flash Player installée sur votre machine, allez voir la [[http://www.adobe.com/products/flash/about/|page About Flash Player]], ou, avec un clic droit sur le contenu exécuté par Flash Player, sélectionnez "About Adobe (or Macromedia) Flash Player" dans le menu. Si vous utilisez plusieurs navigateurs, vérifiez sur chacun d'entre eux. ([[http://www.adobe.com/support/security/|Source : Bulletins de sécurité de Flash player]]). Flash Player 11.2 est la dernière version de Flash Player pour Linux. Adobe continuera à fournir des mises à jour de sécurité. ([[http://www.adobe.com/software/flash/about/|Source]]).
 * Au cas où le plugin provoque une utilisation excessive du processeur, on peut essayer cela (au fait, l'accélération matérielle de Linux Flash Player est [[https://bugbase.adobe.com/index.cfm?event=bug&id=2992148|désactivé depuis FP11]]) : créez le fichier {{{/etc/adobe/mms.cfg}}}: {{{
 * Pour vérifier le numéro de la version de Adobe Flash Player installée sur votre machine, allez voir la [[http://www.adobe.com/products/flash/about/|page About Flash Player]], ou, avec un clic droit sur le contenu exécuté par Flash Player, sélectionnez "About Adobe (or Macromedia) Flash Player" dans le menu. Si vous utilisez plusieurs navigateurs, vérifiez sur chacun d'entre eux. ([[http://www.adobe.com/support/security/|Source : Bulletins de sécurité de Flash player]]). Flash Player 11.2 est la dernière version de Flash Player pour Linux. Adobe continuera à fournir des mises à jour de sécurité. ([[http://www.adobe.com/software/flash/about/|Source]]).
 * Adobe a abandonné la prise en charge des processeurs sans SSE2 avec Linux (on peut vérifier la présence de SSE2 avec la commande {{{ grep ^flags /proc/cpuinfo}}} les lettres « sse2 » devraient apparaitre dans la liste) dans une révision mineure de Flash Player 11. Le lecteur continue à s'installer, mais il plante quand il est appelé. Cela affecte surtout les plus anciens processeurs 32bits d'AMD. Vous pouvez installer Flash Player 10 à partir du site d'Adobe, voir [[DebianBug:697339]]
.
 * Au cas où le plugin provoque une utilisation excessive du processeur, on peut essayer cela (au fait, l'accélération matérielle de Linux Flash Player est [[https://bugbase.adobe.com/index.cfm?event=bug&id=2992148|désactivé depuis FP 11]]) : créez le fichier {{{/etc/adobe/mms.cfg}}} : {{{
Line 104: Line 124:
Le décodage vidéo matériel était considéré comme [[http://helpx.adobe.com/flash-player/release-note/release-notes-flash-player-10-3.html|expérimental dans FP 10.3]] et n'est [[https://bugbase.adobe.com/index.cfm?event=bug&id=2992148|pas pris en charge dans FP 11]] pour des raisons de stabilité et il peut provoquer des plantages. Il n'est pas documenté dans le guide officiel Flash Player Admin Guides. Il est activé à la discrétion de l'utilisateur :{{{
 EnableLinuxHWVideoDecode = 1
}}}

 Sinon, une bonne solution pour les utilisateurs de netbooks avec une carte vidéo accélérée (telle que l'Intel 945GM) et un processeur Atom, est de revenir à la version FP 10, de cette manière, vous pourrez bénéficier à nouveau des fonctionnalités d'accélération du processeur, plutôt que de gaspiller ses capacités. Mais cela n'est pas recommandé parce qu'Adobe ne fournit plus de mises à jour de sécurité que pour FP 11.2.

 * Une lecture fluide avec Iceweasel est possible, il faut remplacer les options précédentes par celles-ci. Elles permettront une lecture haute définition fluide, avec accélération matérielle (ou sans accélération matérielle), dans le navigateur, sauf pour le plein écran haute définition qui dépend des capacités de votre machine.

{{{
AssetCacheSize = 50
LocalStorageLimit = 5
}}}

<<Anchor(flickering)>>

 * Si la fenêtre des navigateurs Chromium ou Google Chrome est vacillante ou clignotante en permanence sur certaines pages web, la cause de ce problème est Flash Player et les étapes suivantes pourrait le corriger.

  1. Regardez avec votre navigateur une page contenant une vidéo flash
  1. Cliquez avec le bouton droit de votre souris sur la vidéo, choisissez l'option "Paramètres" et décochez l'option « Activer l'accélération matérielle »
  1. Fermez le navigateur puis réouvrez-le, cliquez avec le bouton droit sur la vidéo, choisissez l'option « Paramètres » et cochez l'option « Activer l'accélération matérielle »

== Mise à jour manuelle ==

Lorsque vous lancez update-flashplugin-nonfree --install` pour pourriez rencontrer l'erreur suivante :

`ERROR: wget failed to download http://people.debian.org/~bartm/flashplugin-nonfree/D5C0FC14/fp.24.0.0.221.sha512.amd64.pgp.asc`

C'est malheureusement un [[https://bugs.debian.org/flashplugin-nonfree|bogue récurent]]. Cependant, vous pouvez quand même mettre à jour le greffon, manuellement, en suivant cette procédure :

  1. Téléchargez la dernière version du greffon au format tar.gz à l'adresse https://get.adobe.com/flashplayer/
  1. En tant que superutilisateur, extrayez le fichier tar.gz et copiez `libflashplayer.so` vers `/usr/lib/flashplugin-nonfree`
  1. Donnez au fichier les mêmes valeurs de permission/droit :
  {{{
  chmod 644 /usr/lib/flashplugin-nonfree/libflashplayer.so
  chown root:root /usr/lib/flashplugin-nonfree/libflashplayer.so
  }}}
  1. Vérifiez que les entrées `/etc/alternatives` appropriées sont correctes (cela ne devrait pas être nécessaire si le greffon fonctionnait correctement avant la mise à niveau)
  `update-alternatives --list flash-mozilla.so` devrait retourner `/usr/lib/flashplugin-nonfree/libflashplayer.so`
  Si ce n'est pas le cas, vous pouvez corriger cela avec :
  `update-alternatives --quiet --install /usr/lib/mozilla/plugins/flash-mozilla.so flash-mozilla.so /usr/lib/flashplugin-nonfree/libflashplayer.so 50`

(la procédure est basée sur celle suggérée à l'adresse : https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=851066#30)

Notez que le nom de fichier pourrait être libpepflashplayer.so, ou au moins son ancien nom depuis septembre 2017 ; Pepper Flash, quoiqu'il en soit.

== Voir aussi ==

 * [[fr/PepperFlashPlayer|Pepper Flash Player pour Chromium et Google Chrome]]

Line 114: Line 184:
CategoryPermalink
CategoryProprietarySoftware
CategoryPermalink | CategoryProprietarySoftware

Translation(s): English - Español - Français - Italiano - Русский - 简体中文


Flash > Adobe Flash Player


https://upload.wikimedia.org/wikipedia/commons/3/32/Adobe_Flash_Player_v11_icon.png

Adobe Flash Player est une plate-forme multimédia utilisée pour ajouter des animations, des vidéos ou de l'interactivité à des pages Web. Flash est fréquemment utilisé pour des publicités ou des jeux.
Cette page wiki décrit comment installer Adobe Flash Player, anciennement connu sous le nom de Macromedia Flash Player, sur un système Debian. Cette page sert de page d'accueil du paquet Debian flashplugin-nonfree.

Accord de licence pour l'utilisateur final de Adobe Flash Player

Les dernières versions du paquet flashplugin-nonfree de Debian contiennent cet avertissement dans la description du paquet :

WARNING: Installing this Debian package causes the
Adobe Flash Player to be downloaded from www.adobe.com.
The End User License Agreement of the Adobe Flash Player
is available at www.adobe.com.

Installation

Note : flashplugin-nonfree n'est pas dans la distribution stable. Référez-vous à la section Mise à jour manuelle.

  1. Vérifiez que le fichier /etc/apt/sources.list comprend la section contrib (pour plus d'information consultez la page sources.list)

  2. Installez flashplugin-nonfree (depuis la section contrib).

# apt-get install flashplugin-nonfree

Mise à jour

Pour mettre à jour Adobe Flash Player :

# update-flashplugin-nonfree --install

Si cela échoue avec le message « ERROR: wget failed to download ... », consultez la section « Mise à jour manuelle » plus bas.

Désinstallation

Pour désinstaller Adobe Flash Player et le paquet flashplugin-nonfree :

# update-flashplugin-nonfree --uninstall
# apt-get remove flashplugin-nonfree

Rapport de bogues

Si vous découvrez un problème avec flashplugin-nonfree, veuillez le rapporter dans le système de suivi de bogues de Debian.

Néanmoins, nous ne pouvons pas modifier Adobe Flash Player pour résoudre les problèmes dans Debian. Donc, si vous découvrez un problème avec Adobe Flash Player, rapportez-le à Adobe.

Si vous avez trouvé un moyen de contourner un problème, vous pouvez l'ajouter dans la partie « dépannage » ci-dessous. (S'il vous plait, ne mettez pas d'instructions pour installer autrement Adobe Flash Player.)

Dépannage

  • Proxy : Le paquet flashplugin-nonfree possède "sa propre solution" pour mettre en mémoire cache le gros fichier .tar.gz téléchargé de chez Adobe. En téléchargeant fp10.*.pgp.asc, on n'a pas le cache de flashplugin-nonfree. Le conseil de l'auteur de ce paragraphe est de ne pas utiliser un proxy avec un cache avec flashplugin-nonfree, parce la récupération de fp10.*.pgp.asc à partir du cache pourrait aboutir à l'installation d'une mise à jour de sécurité plus tard qu'il ne le faudrait. Si on doit utiliser un proxy parce que l'on n'a pas d'accès direct à internet, alors bien sûr, on n'a pas d'autre choix que d'utiliser le proxy. Dans ce cas, ceci devrait fonctionner :

    http_proxy=http://my.proxy.intranet:8080/ apt-get install flashplugin-nonfree

    ou bien encore cela :

    http_proxy=http://my.proxy.intranet:8080/ update-flashplugin-nonfree --install

    Ceci devrait aussi fonctionner :

    http_proxy=http://my.proxy.intranet:8080/ update-flashplugin-nonfree --install

    ou

    https_proxy=http://my.proxy.intranet:8080/ update-flashplugin-nonfree --install

    sinon, avec une variable d'environnement différente de http_proxy, regardez : http://www.gnu.org/software/wget/manual/html_node/Proxies.html

  • Rappelez-vous que si on a besoin que Flash Player fonctionne avec pulse, on peut demander à libasound de le faire dans le fichier ~/.asoundrc :

    pcm.pulse {
        type pulse
    }
    
    ctl.pulse {
        type pulse
    }
    
    pcm.!default {
        type pulse
    }
    
    ctl.!default {
        type pulse
    }
  • Pour vérifier le numéro de la version de Adobe Flash Player installée sur votre machine, allez voir la page About Flash Player, ou, avec un clic droit sur le contenu exécuté par Flash Player, sélectionnez "About Adobe (or Macromedia) Flash Player" dans le menu. Si vous utilisez plusieurs navigateurs, vérifiez sur chacun d'entre eux. (Source : Bulletins de sécurité de Flash player). Flash Player 11.2 est la dernière version de Flash Player pour Linux. Adobe continuera à fournir des mises à jour de sécurité. (Source).

  • Adobe a abandonné la prise en charge des processeurs sans SSE2 avec Linux (on peut vérifier la présence de SSE2 avec la commande  grep ^flags /proc/cpuinfo les lettres « sse2 » devraient apparaitre dans la liste) dans une révision mineure de Flash Player 11. Le lecteur continue à s'installer, mais il plante quand il est appelé. Cela affecte surtout les plus anciens processeurs 32bits d'AMD. Vous pouvez installer Flash Player 10 à partir du site d'Adobe, voir 697339.

  • Au cas où le plugin provoque une utilisation excessive du processeur, on peut essayer cela (au fait, l'accélération matérielle de Linux Flash Player est désactivé depuis FP 11) : créez le fichier /etc/adobe/mms.cfg :

     # Adobe player settings
     AVHardwareDisable = 0
     FullScreenDisable = 0
     LocalFileReadDisable = 1
     FileDownloadDisable = 1
     FileUploadDisable = 1
     LocalStorageLimit = 1
     ThirdPartyStorage = 1
     AssetCacheSize = 10
     AutoUpdateDisable = 1
     LegacyDomainMatching = 0
     LocalFileLegacyAction = 0
     AllowUserLocalTrust = 0
     # DisableSockets = 1
     OverrideGPUValidation = 1
     EnableLinuxHWVideoDecode=1

Le décodage vidéo matériel était considéré comme expérimental dans FP 10.3 et n'est pas pris en charge dans FP 11 pour des raisons de stabilité et il peut provoquer des plantages. Il n'est pas documenté dans le guide officiel Flash Player Admin Guides. Il est activé à la discrétion de l'utilisateur :

 EnableLinuxHWVideoDecode = 1
  • Sinon, une bonne solution pour les utilisateurs de netbooks avec une carte vidéo accélérée (telle que l'Intel 945GM) et un processeur Atom, est de revenir à la version FP 10, de cette manière, vous pourrez bénéficier à nouveau des fonctionnalités d'accélération du processeur, plutôt que de gaspiller ses capacités. Mais cela n'est pas recommandé parce qu'Adobe ne fournit plus de mises à jour de sécurité que pour FP 11.2.
  • Une lecture fluide avec Iceweasel est possible, il faut remplacer les options précédentes par celles-ci. Elles permettront une lecture haute définition fluide, avec accélération matérielle (ou sans accélération matérielle), dans le navigateur, sauf pour le plein écran haute définition qui dépend des capacités de votre machine.

AssetCacheSize = 50
LocalStorageLimit = 5

  • Si la fenêtre des navigateurs Chromium ou Google Chrome est vacillante ou clignotante en permanence sur certaines pages web, la cause de ce problème est Flash Player et les étapes suivantes pourrait le corriger.
    1. Regardez avec votre navigateur une page contenant une vidéo flash
    2. Cliquez avec le bouton droit de votre souris sur la vidéo, choisissez l'option "Paramètres" et décochez l'option « Activer l'accélération matérielle »
    3. Fermez le navigateur puis réouvrez-le, cliquez avec le bouton droit sur la vidéo, choisissez l'option « Paramètres » et cochez l'option « Activer l'accélération matérielle »

Mise à jour manuelle

Lorsque vous lancez update-flashplugin-nonfree --install` pour pourriez rencontrer l'erreur suivante :

ERROR: wget failed to download http://people.debian.org/~bartm/flashplugin-nonfree/D5C0FC14/fp.24.0.0.221.sha512.amd64.pgp.asc

C'est malheureusement un bogue récurent. Cependant, vous pouvez quand même mettre à jour le greffon, manuellement, en suivant cette procédure :

  1. Téléchargez la dernière version du greffon au format tar.gz à l'adresse https://get.adobe.com/flashplayer/

  2. En tant que superutilisateur, extrayez le fichier tar.gz et copiez libflashplayer.so vers /usr/lib/flashplugin-nonfree

  3. Donnez au fichier les mêmes valeurs de permission/droit :
      chmod 644 /usr/lib/flashplugin-nonfree/libflashplayer.so
      chown root:root /usr/lib/flashplugin-nonfree/libflashplayer.so
  4. Vérifiez que les entrées /etc/alternatives appropriées sont correctes (cela ne devrait pas être nécessaire si le greffon fonctionnait correctement avant la mise à niveau) update-alternatives --list flash-mozilla.so devrait retourner /usr/lib/flashplugin-nonfree/libflashplayer.so Si ce n'est pas le cas, vous pouvez corriger cela avec : update-alternatives --quiet --install /usr/lib/mozilla/plugins/flash-mozilla.so flash-mozilla.so /usr/lib/flashplugin-nonfree/libflashplayer.so 50

(la procédure est basée sur celle suggérée à l'adresse : https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=851066#30)

Notez que le nom de fichier pourrait être libpepflashplayer.so, ou au moins son ancien nom depuis septembre 2017 ; Pepper Flash, quoiqu'il en soit.

Voir aussi

Liens externes


CategoryPermalink | CategoryProprietarySoftware